Debian Bug report logs - #604324
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:sim; Maintainer for src:sim is Alexander Petrov <zowers@gmail.com>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 18:54:04 UTC

Severity: serious

Tags: sid, wheezy

Fixed in version sim/0.9.5~svn20080806-2

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Alexander Petrov <zowers@gmail.com>:
Bug#604324; Package src:sim. (Sun, 21 Nov 2010 18:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Alexander Petrov <zowers@gmail.com>. (Sun, 21 Nov 2010 18:54:07 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 19:52:14 +0100
Source: sim
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal kde3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:27:42 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:33:42 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Sat, 12 Mar 2011 21:00:18 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sat, 12 Mar 2011 21:00:18 GMT) Full text and rfc822 format available.

Message #14 received at 604324-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 604324-close@bugs.debian.org
Subject: Bug#604324: fixed in sim 0.9.5~svn20080806-2
Date: Sat, 12 Mar 2011 20:59:00 +0000
Source: sim
Source-Version: 0.9.5~svn20080806-2

We believe that the bug you reported is fixed in the latest version of
sim, which is due to be installed in the Debian FTP archive:

sim-data_0.9.5~svn20080806-2_all.deb
  to main/s/sim/sim-data_0.9.5~svn20080806-2_all.deb
sim-qt_0.9.5~svn20080806-2_amd64.deb
  to main/s/sim/sim-qt_0.9.5~svn20080806-2_amd64.deb
sim_0.9.5~svn20080806-2.debian.tar.gz
  to main/s/sim/sim_0.9.5~svn20080806-2.debian.tar.gz
sim_0.9.5~svn20080806-2.dsc
  to main/s/sim/sim_0.9.5~svn20080806-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604324@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated sim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 12 Mar 2011 19:07:07 +0100
Source: sim
Binary: sim-qt sim-data
Architecture: source amd64 all
Version: 0.9.5~svn20080806-2
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 sim-data   - Sim-IM Instant Messenger data files
 sim-qt     - simple instant messenger (Qt3)
Closes: 604324
Changes: 
 sim (0.9.5~svn20080806-2) unstable; urgency=low
 .
   * QA upload, set Maintainer to Debian QA Group <packages@qa.debian.org>.
   * Drop "sim" package using kdelibs from KDE 3: (Closes: #604324)
     - remove description in debian/control and update the other descriptions.
     - remove build-depend on kdelibs4-dev.
     - update debian/rules to remove building of "sim" package.
   * Update descriptions from Qt to Qt3.
   * Add source/format to 3.0 (quilt), just for the sake of easy patching.
   * Add patch add_x11 to fix FTBFS.
Checksums-Sha1: 
 d4f710039a36e83d235908ec7d1091c5c0bb85a2 2100 sim_0.9.5~svn20080806-2.dsc
 ce97a0eda8e69c6233bcc5f6fef530b95f0bf785 10850 sim_0.9.5~svn20080806-2.debian.tar.gz
 c1cdb6a32e11f272f253b9d1e82e4edf31373515 2628696 sim-qt_0.9.5~svn20080806-2_amd64.deb
 4f7048c7ffc0dae20c413b492a0926800ead7986 2364108 sim-data_0.9.5~svn20080806-2_all.deb
Checksums-Sha256: 
 6049d16f50fd05e9a726baf0b2fc0fda0f9ff42514cf1fc22fdcb8da21434a51 2100 sim_0.9.5~svn20080806-2.dsc
 d8bb3e1220eb19298139810aebbafb10ff0ec6418e772957e13d5f3c3dc34d88 10850 sim_0.9.5~svn20080806-2.debian.tar.gz
 082054924b2d1c952d5f434a7334d2b0d6a580663c3512f2d37f94b616c387a2 2628696 sim-qt_0.9.5~svn20080806-2_amd64.deb
 04c17eae7222324036fd86272aaa0f3e1f1034dbd775622c215b9860f3e8da11 2364108 sim-data_0.9.5~svn20080806-2_all.deb
Files: 
 016d9cccd3c50b91252b710e882b45e7 2100 net optional sim_0.9.5~svn20080806-2.dsc
 531306329343c0a0302df30cd87c2e60 10850 net optional sim_0.9.5~svn20080806-2.debian.tar.gz
 45043357fd76c986caaa434c47389e61 2628696 net optional sim-qt_0.9.5~svn20080806-2_amd64.deb
 4ec5ec2845e8554e142d3ab7527221fd 2364108 net optional sim-data_0.9.5~svn20080806-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJNe87sAAoJELNGT4lqoVlI3JMP/1i7kUJyccprQq2iguLdtJv2
aK2Z5F5dBO7MNY9qI1oOyePoPoYZGOd79ZW9Ig9sHyZVDNZ25GXLrrgIrMi7e3AG
GwJkunfI5PEVHMGaOM8cBHZjtzBsDfNjs6o/SadIJodRJtmCUTkyoC2lUmMCUiTr
xPtXPX4KY5qrHUemYD/vRz9/80imR00K8FxS8QRHOVMiv/WjpGe0BQowJV+FAdnb
QC1RfqPMjzxnOJG2N571fzhrWIiWM/PTH70mg/GDR7F0oNlVMHMrR6+U1tYCSmet
oc+E6xiL5et/JZThCGk8bFrMUVZjcta/704ezs0PeJUcVI9hZwqxDQ9amECFFHrg
Jgf2/J1khiD7nrwGaFVL68/4/qwfgicLGWpcArDoAX9XO9nXzO3GHWOFi2sfWCa5
kG/q2FkrvTs4LWZ17X9MDFOTm7Bi4xe20Z8WjEodh6NpMA0E9Sc04zL9u8n4cFnd
5e/yn0tFm72W1IuQiNy1ghAsKEqlh/a6+0XB8l8/7pT1+YFJ0swU33pHjN1ZKbCU
xwQgA0COfMnDkiVaC99JXi0ACwuzrBkZe8DmvxTTbu4AJQT4pGM7rCNh0910drQ9
RskX7c+bqC6ZIfxgRFGzMi3AR9woB8AFZn5NbNsytCY3xWfNHAIpy+hzF6HKi5Bb
VJyaQUJUOXqWBYPmnldT
=yJcW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:00:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:54:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.